import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["children", "className"];
import React from "react";
import cx from "classnames";
import { Content } from "@radix-ui/react-popover";
import makeStyles from "../../styles/makeStyles"; // @ts-ignore

var getClasses = makeStyles(function (_ref) {
  var shadows = _ref.cleverUI.shadows;
  return {
    content: {
      borderRadius: "4px",
      width: "260px",
      backgroundColor: "white",
      boxShadow: shadows.normal,
      animationDuration: "400ms",
      animationTimingFunction: "cubic-bezier(0.16, 1, 0.3, 1)",
      zIndex: 1,
      willChange: "transform, opacity",
      "& span": {
        "& svg": {
          "& polygon": {
            fill: "white"
          }
        }
      }
    }
  };
});
var PopoverContent = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var classes = getClasses();

  var children = props.children,
      className = props.className,
      restProps = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Content, _extends({}, restProps, {
    className: cx(classes.content, className)
  }), children));
});
export default PopoverContent;